CVE-2002-0613
CVSS10.0
发布时间 :2002-06-18 00:00:00
修订时间 :2008-09-05 16:28:29
NMCOE    

[原文]dnstools.php for DNSTools 2.0 beta 4 and earlier allows remote attackers to bypass authentication and gain privileges by setting the user_logged_in or user_dnstools_administrator parameters.


[CNNVD]DNSTools验证可绕过漏洞(CNNVD-200206-007)

        
        DNSTools是一款基于WEB的DNS信息管理工具,由PHP语言实现,并可使用在Linux和Solaris操作系统下。
        DNSTools验证处理中存在漏洞,可导致远程攻击者绕过验证机制以管理员权限访问系统。
        DNSTools使用两个变量来保存用户验证状态(普通用户 / 管理员),由于程序对这两个变量数据缺少正确充分的检查,攻击者可以简单的在URL中增加"user_logged_in=true"和管理员权限变量"user_dnstools_administrator=YES",就能以管理员权限访问DNSTools系统。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:dnstools_software:dnstools:2.0_beta4
cpe:/a:dnstools_software:dnstools:2.0_beta3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0613
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0613
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200206-007
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4617
(VENDOR_ADVISORY)  BID  4617
http://www.iss.net/security_center/static/8948.php
(VENDOR_ADVISORY)  XF  dnstools-auth-bypass(8948)
http://archives.neohapsis.com/archives/bugtraq/2002-04/0390.html
(VENDOR_ADVISORY)  BUGTRAQ  20020428 dnstools: authentication bypass vulnerability
http://www.dnstools.com/dnstools_2.0.1.tar.gz
(UNKNOWN)  CONFIRM  http://www.dnstools.com/dnstools_2.0.1.tar.gz

- 漏洞信息

DNSTools验证可绕过漏洞
危急 未知
2002-06-18 00:00:00 2005-05-02 00:00:00
远程  
        
        DNSTools是一款基于WEB的DNS信息管理工具,由PHP语言实现,并可使用在Linux和Solaris操作系统下。
        DNSTools验证处理中存在漏洞,可导致远程攻击者绕过验证机制以管理员权限访问系统。
        DNSTools使用两个变量来保存用户验证状态(普通用户 / 管理员),由于程序对这两个变量数据缺少正确充分的检查,攻击者可以简单的在URL中增加"user_logged_in=true"和管理员权限变量"user_dnstools_administrator=YES",就能以管理员权限访问DNSTools系统。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在DNSTools.php程序开头初始化两个变量user_logged_in和user_dnstools_administrator的值为false。
        厂商补丁:
        DNSTools Software
        -----------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        DNSTools Software Upgrade dnstools_2.0b5.tar.gz
        
        http://www.dnstools.com/dnstools_2.0b5.tar.gz

- 漏洞信息 (21425)

DNSTools 2.0 Authentication Bypass Vulnerability (EDBID:21425)
php webapps
2002-04-28 Verified
0 ppp-design
N/A [点击下载]
source: http://www.securityfocus.com/bid/4617/info

DNSTools is a web based managment tool for DNS information. It is implemented in PHP, and available for Linux and Solaris.

A vulnerability has been reported in some versions of DNSTools which allows any remote attacker to gain administrative access. An artificially constructed URL may define variables used to track user authentication and administrative access. 

http://www.example.com/dnstools.php?section=hosts&user_logged_in=true
http://www.example.com/dnstools.php?section=security&user_logged_in=true&user_dnstools_administrator=YES

		

- 漏洞信息

5176
DNSTools dnstools.php Multiple Parameter Authentication Bypass
Remote / Network Access Authentication Management, Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2002-04-28 Unknow
2002-04-28 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站